# TdApi.MessageContent (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageContent

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent

Direct Known Subclasses:
  `TdApi.MessageAnimatedEmoji`, `TdApi.MessageAnimation`, `TdApi.MessageAudio`, `TdApi.MessageBasicGroupChatCreate`, `TdApi.MessageBotWriteAccessAllowed`, `TdApi.MessageCall`, `TdApi.MessageChatAddMembers`, `TdApi.MessageChatChangePhoto`, `TdApi.MessageChatChangeTitle`, `TdApi.MessageChatDeleteMember`, `TdApi.MessageChatDeletePhoto`, `TdApi.MessageChatJoinByLink`, `TdApi.MessageChatJoinByRequest`, `TdApi.MessageChatSetBackground`, `TdApi.MessageChatSetMessageAutoDeleteTime`, `TdApi.MessageChatSetTheme`, `TdApi.MessageChatShared`, `TdApi.MessageChatUpgradeFrom`, `TdApi.MessageChatUpgradeTo`, `TdApi.MessageContact`, `TdApi.MessageContactRegistered`, `TdApi.MessageCustomServiceAction`, `TdApi.MessageDice`, `TdApi.MessageDocument`, `TdApi.MessageExpiredPhoto`, `TdApi.MessageExpiredVideo`, `TdApi.MessageForumTopicCreated`, `TdApi.MessageForumTopicEdited`, `TdApi.MessageForumTopicIsClosedToggled`, `TdApi.MessageForumTopicIsHiddenToggled`, `TdApi.MessageGame`, `TdApi.MessageGameScore`, `TdApi.MessageGiftedPremium`, `TdApi.MessageInviteVideoChatParticipants`, `TdApi.MessageInvoice`, `TdApi.MessageLocation`, `TdApi.MessagePassportDataReceived`, `TdApi.MessagePassportDataSent`, `TdApi.MessagePaymentSuccessful`, `TdApi.MessagePaymentSuccessfulBot`, `TdApi.MessagePhoto`, `TdApi.MessagePinMessage`, `TdApi.MessagePoll`, `TdApi.MessageProximityAlertTriggered`, `TdApi.MessageScreenshotTaken`, `TdApi.MessageSticker`, `TdApi.MessageSuggestProfilePhoto`, `TdApi.MessageSupergroupChatCreate`, `TdApi.MessageText`, `TdApi.MessageUnsupported`, `TdApi.MessageUserShared`, `TdApi.MessageVenue`, `TdApi.MessageVideo`, `TdApi.MessageVideoChatEnded`, `TdApi.MessageVideoChatScheduled`, `TdApi.MessageVideoChatStarted`, `TdApi.MessageVideoNote`, `TdApi.MessageVoiceNote`, `TdApi.MessageWebAppDataReceived`, `TdApi.MessageWebAppDataSent`, `TdApi.MessageWebsiteConnected`

Enclosing class:
  TdApi

public abstract static class TdApi.MessageContent extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`MessageContent()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageContent

public MessageContent()